Bug 1281637 - sctp_spinfo_state values out of sync with kernel
sctp_spinfo_state values out of sync with kernel
Status: CLOSED DUPLICATE of bug 1283339
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lksctp-tools (Show other bugs)
7.1
Unspecified Linux
high Severity high
: rc
: ---
Assigned To: Marcelo Ricardo Leitner
Network QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 19:29 EST by Hitesh ingole
Modified: 2016-05-16 00:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 13:41:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hitesh ingole 2015-11-12 19:29:55 EST
Description of problem:
There is a mismatch between lksctp and kernel  around sctp_spinfo_state
In /include/uapi/linux/sctp.h

enum sctp_spinfo_state {
        SCTP_INACTIVE,
        SCTP_PF,
        SCTP_ACTIVE,
        SCTP_UNCONFIRMED,
        SCTP_UNKNOWN = 0xffff  /* Value used for transport state unknown */
};

In /usr/include/linux/sctp.h

enum sctp_spinfo_state {
        SCTP_INACTIVE,
        SCTP_PF,
        SCTP_ACTIVE,
        SCTP_UNCONFIRMED,
        SCTP_UNKNOWN = 0xffff  /* Value used for transport state unknown */
};



In /usr/include/netinet/sctp.h

enum sctp_spinfo_state {
        SCTP_INACTIVE,
        SCTP_ACTIVE,
        SCTP_UNCONFIRMED
};


Version-Release number of selected component:
lksctp-tools-devel-1.0.13-3.el7



Actual results:

The sctp.h povided by lksctp-tools-devel is not in sync and does not include the Partially Failed state.

[root@localhost ~]# grep -i PF  /usr/include/netinet/sctp.h
[root@localhost ~]#

[root@localhost ~]# grep -i SCTP_PF  /usr/include/linux/sctp.h
	SCTP_PF,
[root@localhost ~]# 


Expected results:
The sctp.h provided by kernel-headers and lksctp-tools-devel should be in sync
Comment 1 Marcelo Ricardo Leitner 2015-11-13 06:06:07 EST
it's already fixed upstream:

commit 41251182e9f228835b226eb581ea1d8a7d27b613
Author: Neil Horman <nhorman@tuxdriver.com>
Date:   Tue Apr 2 15:07:59 2013 -0400

    sctp: Add new spinfo state values to enumeration

    A while back the kernel added two enumeration values to sctp_spinfo_state.
    Unfortunately, those were never added to the user space header file, and as a
    result we get inconsistent behavior when reading spinfo state.  This patch adds
    the missing fields in, and corrects the behavior.


I'll backport this next week
Comment 2 Marcelo Ricardo Leitner 2015-11-18 13:41:30 EST
I'm closing this bug as a dup of bz1283339 as this last will do an update to the package. If you need a z-stream of this fix, please request it against this one. Then only this fix will get backported.

*** This bug has been marked as a duplicate of bug 1283339 ***

Note You need to log in before you can comment on or make changes to this bug.